## r-bioc-rtracklayer 1.54.0

=== DESCRIPTION ===
Package: rtracklayer
Title: R interface to genome annotation files and the UCSC genome
        browser
Version: 1.54.0
Author: Michael Lawrence, Vince Carey, Robert Gentleman
Depends: R (>= 3.3), methods, GenomicRanges (>= 1.37.2)
Imports: XML (>= 1.98-0), BiocGenerics (>= 0.35.3), S4Vectors (>=
        0.23.18), IRanges (>= 2.13.13), XVector (>= 0.19.7),
        GenomeInfoDb (>= 1.15.2), Biostrings (>= 2.47.6), zlibbioc,
        RCurl (>= 1.4-2), Rsamtools (>= 1.31.2), GenomicAlignments (>=
        1.15.6), BiocIO, tools, restfulr (>= 0.0.13)
Suggests: BSgenome (>= 1.33.4), humanStemCell, microRNA (>= 1.1.1),
        genefilter, limma, org.Hs.eg.db, hgu133plus2.db,
        GenomicFeatures, BSgenome.Hsapiens.UCSC.hg19,
        TxDb.Hsapiens.UCSC.hg19.knownGene, RUnit
LinkingTo: S4Vectors, IRanges, XVector
Description: Extensible framework for interacting with multiple genome 
  browsers (currently UCSC built-in) and manipulating 
  annotation tracks in various formats (currently GFF, BED, bedGraph, BED15,
  WIG, BigWig and 2bit built-in). The user may export/import tracks to/from the
  supported browsers, as well as query and modify the browser state, such as the
  current viewport.
Maintainer: Michael Lawrence <michafla@gene.com>
License: Artistic-2.0 + file LICENSE
Collate: io.R web.R ranges.R trackDb.R browser.R ucsc.R readGFF.R gff.R
        bed.R wig.R utils.R bigWig.R bigBed.R chain.R quickload.R
        trackhub.R twobit.R fasta.R tabix.R bam.R trackTable.R index.R
        test_rtracklayer_package.R ncbi.R igv.R zzz.R
biocViews: Annotation,Visualization,DataImport
git_url: https://git.bioconductor.org/packages/rtracklayer
git_branch: RELEASE_3_14
git_last_commit: 04cdd75
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 22:39:30 UTC; biocbuild

=== debian/changelog ===
r-bioc-rtracklayer (1.54.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 14:57:54 +0100

r-bioc-rtracklayer (1.52.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Build-Depends: r-bioc-biocio, r-cran-restfulr
  * Not testing since non-packaged data is needed

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 15:22:48 +0200

=== debian/control ===
Source: r-bioc-rtracklayer
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
# Testsuite: autopkgtest-pkg-r # Not testing since non-packaged data is needed
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-genomicranges (>= 1.37.2),
               r-cran-xml,
               r-bioc-biocgenerics (>= 0.35.3),
               r-bioc-s4vectors (>= 0.23.18),
               r-bioc-iranges,
               r-bioc-xvector,
               r-bioc-genomeinfodb,
               r-bioc-biostrings,
               r-bioc-zlibbioc,
               r-cran-rcurl,
               r-bioc-rsamtools,
               r-bioc-genomicalignments,
               r-bioc-biocio,
               r-cran-restfulr
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rtracklayer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rtracklayer.git
Homepage: https://bioconductor.org/packages/rtracklayer/
Rules-Requires-Root: no

Package: r-bioc-rtracklayer
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to genome browsers and their annotation tracks
 Extensible framework for interacting with multiple genome browsers
 (currently UCSC built-in) and manipulating annotation tracks in various
 formats (currently GFF, BED, bedGraph, BED15, WIG, BigWig and 2bit
 built-in). The user may export/import tracks to/from the supported
 browsers, as well as query and modify the browser state, such as the
 current viewport.

## r-bioc-rtracklayer 1.56.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: rtracklayer
 Title: R interface to genome annotation files and the UCSC genome
         browser
-Version: 1.54.0
+Version: 1.56.1
 Author: Michael Lawrence, Vince Carey, Robert Gentleman
-Depends: R (>= 3.3), methods, GenomicRanges (>= 1.37.2)
+Depends: R (>= 3.5.0), methods, GenomicRanges (>= 1.37.2)
 Imports: XML (>= 1.98-0), BiocGenerics (>= 0.35.3), S4Vectors (>=
         0.23.18), IRanges (>= 2.13.13), XVector (>= 0.19.7),
         GenomeInfoDb (>= 1.15.2), Biostrings (>= 2.47.6), zlibbioc,
@@ -28,9 +28,9 @@
         test_rtracklayer_package.R ncbi.R igv.R zzz.R
 biocViews: Annotation,Visualization,DataImport
 git_url: https://git.bioconductor.org/packages/rtracklayer
-git_branch: RELEASE_3_14
-git_last_commit: 04cdd75
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 4c6d220
+git_last_commit_date: 2022-06-22
+Date/Publication: 2022-06-23
 NeedsCompilation: yes
-Packaged: 2021-10-26 22:39:30 UTC; biocbuild
+Packaged: 2022-06-23 21:47:48 UTC; biocbuild

=== debian/changelog ===
r-bioc-rtracklayer (1.56.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jun 2022 14:11:46 +0200

r-bioc-rtracklayer (1.56.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 07:30:41 +0200

## r-bioc-rtracklayer 1.58.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rtracklayer
 Title: R interface to genome annotation files and the UCSC genome
         browser
-Version: 1.56.1
+Version: 1.58.0
 Author: Michael Lawrence, Vince Carey, Robert Gentleman
 Depends: R (>= 3.5.0), methods, GenomicRanges (>= 1.37.2)
 Imports: XML (>= 1.98-0), BiocGenerics (>= 0.35.3), S4Vectors (>=
@@ -28,9 +28,9 @@
         test_rtracklayer_package.R ncbi.R igv.R zzz.R
 biocViews: Annotation,Visualization,DataImport
 git_url: https://git.bioconductor.org/packages/rtracklayer
-git_branch: RELEASE_3_15
-git_last_commit: 4c6d220
-git_last_commit_date: 2022-06-22
-Date/Publication: 2022-06-23
+git_branch: RELEASE_3_16
+git_last_commit: 54a7497
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-06-23 21:47:48 UTC; biocbuild
+Packaged: 2022-11-01 22:50:13 UTC; biocbuild

=== debian/changelog ===
r-bioc-rtracklayer (1.58.0-1) unstable; urgency=medium

  * Update link to alioth list
  * Disable reprotest
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 14:21:59 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                r-bioc-genomicalignments,
                r-bioc-biocio,
                r-cran-restfulr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rtracklayer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rtracklayer.git
 Homepage: https://bioconductor.org/packages/rtracklayer/

## r-bioc-rtracklayer 1.60.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rtracklayer
 Title: R interface to genome annotation files and the UCSC genome
         browser
-Version: 1.58.0
+Version: 1.60.0
 Author: Michael Lawrence, Vince Carey, Robert Gentleman
 Depends: R (>= 3.5.0), methods, GenomicRanges (>= 1.37.2)
 Imports: XML (>= 1.98-0), BiocGenerics (>= 0.35.3), S4Vectors (>=
@@ -28,9 +28,9 @@
         test_rtracklayer_package.R ncbi.R igv.R zzz.R
 biocViews: Annotation,Visualization,DataImport
 git_url: https://git.bioconductor.org/packages/rtracklayer
-git_branch: RELEASE_3_16
-git_last_commit: 54a7497
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: de35bc0
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 22:50:13 UTC; biocbuild
+Packaged: 2023-04-25 22:35:15 UTC; biocbuild

=== debian/changelog ===
r-bioc-rtracklayer (1.60.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Try running upstream test suite as autopkgtest

 -- Charles Plessy <plessy@debian.org>  Thu, 27 Jul 2023 00:09:12 +0000

## r-bioc-rtracklayer 1.62.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rtracklayer
 Title: R interface to genome annotation files and the UCSC genome
         browser
-Version: 1.60.0
+Version: 1.62.0
 Author: Michael Lawrence, Vince Carey, Robert Gentleman
 Depends: R (>= 3.5.0), methods, GenomicRanges (>= 1.37.2)
 Imports: XML (>= 1.98-0), BiocGenerics (>= 0.35.3), S4Vectors (>=
@@ -28,9 +28,9 @@
         test_rtracklayer_package.R ncbi.R igv.R zzz.R
 biocViews: Annotation,Visualization,DataImport
 git_url: https://git.bioconductor.org/packages/rtracklayer
-git_branch: RELEASE_3_17
-git_last_commit: de35bc0
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 58efbf9
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-04-25 22:35:15 UTC; biocbuild
+Packaged: 2023-10-24 22:51:02 UTC; biocbuild

=== debian/changelog ===
r-bioc-rtracklayer (1.62.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 18:23:42 +0100

r-bioc-rtracklayer (1.60.1-1) unstable; urgency=medium

  * New upstream version
  * Patch harder to tell that BSgenome.Hsapiens.UCSC.hg19 is not available

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2023 12:52:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: r-bioc-rtracklayer
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Charles Plessy <plessy@debian.org>
 Section: gnu-r
-# Testsuite: autopkgtest-pkg-r # Not testing since non-packaged data is needed
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-genomicranges (>= 1.37.2),
+               r-bioc-genomicranges,
                r-cran-xml,
-               r-bioc-biocgenerics (>= 0.35.3),
-               r-bioc-s4vectors (>= 0.23.18),
+               r-bioc-biocgenerics,
+               r-bioc-s4vectors,
                r-bioc-iranges,
                r-bioc-xvector,
                r-bioc-genomeinfodb,
@@ -21,7 +22,7 @@
                r-bioc-genomicalignments,
                r-bioc-biocio,
                r-cran-restfulr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rtracklayer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rtracklayer.git
 Homepage: https://bioconductor.org/packages/rtracklayer/

## r-bioc-rtracklayer 1.64.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: rtracklayer
 Title: R interface to genome annotation files and the UCSC genome
         browser
-Version: 1.62.0
+Version: 1.64.0
 Author: Michael Lawrence, Vince Carey, Robert Gentleman
 Depends: R (>= 3.5.0), methods, GenomicRanges (>= 1.37.2)
 Imports: XML (>= 1.98-0), BiocGenerics (>= 0.35.3), S4Vectors (>=
         0.23.18), IRanges (>= 2.13.13), XVector (>= 0.19.7),
         GenomeInfoDb (>= 1.15.2), Biostrings (>= 2.47.6), zlibbioc,
-        RCurl (>= 1.4-2), Rsamtools (>= 1.31.2), GenomicAlignments (>=
+        curl, httr, Rsamtools (>= 1.31.2), GenomicAlignments (>=
         1.15.6), BiocIO, tools, restfulr (>= 0.0.13)
 Suggests: BSgenome (>= 1.33.4), humanStemCell, microRNA (>= 1.1.1),
         genefilter, limma, org.Hs.eg.db, hgu133plus2.db,
@@ -28,9 +28,10 @@
         test_rtracklayer_package.R ncbi.R igv.R zzz.R
 biocViews: Annotation,Visualization,DataImport
 git_url: https://git.bioconductor.org/packages/rtracklayer
-git_branch: RELEASE_3_18
-git_last_commit: 58efbf9
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: ba889ee
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 22:51:02 UTC; biocbuild
+Packaged: 2024-05-01 05:46:41 UTC; biocbuild

=== debian/changelog ===
r-bioc-rtracklayer (1.64.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:45:47 +0200

r-bioc-rtracklayer (1.64.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 12:58:01 +0200

r-bioc-rtracklayer (1.64.0-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1071347
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.
  * New build-dep: libcurl4-openssl-dev
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 23:32:07 +0200

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,23 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-genomicranges,
+               architecture-is-64-bit,
+               r-bioc-genomicranges (>= 1.56.1),
                r-cran-xml,
-               r-bioc-biocgenerics,
-               r-bioc-s4vectors,
-               r-bioc-iranges,
-               r-bioc-xvector,
-               r-bioc-genomeinfodb,
-               r-bioc-biostrings,
-               r-bioc-zlibbioc,
-               r-cran-rcurl,
-               r-bioc-rsamtools,
-               r-bioc-genomicalignments,
-               r-bioc-biocio,
-               r-cran-restfulr
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-iranges (>= 2.38.1),
+               r-bioc-xvector (>= 0.44.0),
+               r-bioc-genomeinfodb (>= 1.40.1),
+               r-bioc-biostrings (>= 2.72.1),
+               r-bioc-zlibbioc (>= 1.50.0),
+               r-cran-curl,
+               r-cran-httr,
+               r-bioc-rsamtools (>= 2.20.0),
+               r-bioc-genomicalignments (>= 1.40.0),
+               r-bioc-biocio (>= 1.14.0),
+               r-cran-restfulr,
+               libcurl4-openssl-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rtracklayer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rtracklayer.git
@@ -32,9 +35,25 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-genomicranges (>= 1.56.1),
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-iranges (>= 2.38.1),
+         r-bioc-xvector (>= 0.44.0),
+         r-bioc-genomeinfodb (>= 1.40.1),
+         r-bioc-biostrings (>= 2.72.1),
+         r-bioc-zlibbioc (>= 1.50.0),
+         r-bioc-rsamtools (>= 2.20.0),
+         r-bioc-genomicalignments (>= 1.40.0),
+         r-bioc-biocio (>= 1.14.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-bsgenome (>= 1.72.0),
+          r-bioc-genefilter (>= 1.86.0),
+          r-bioc-limma (>= 3.60.3),
+          r-bioc-org.hs.eg.db (>= 3.19.1),
+          r-bioc-genomicfeatures (>= 1.56.0)
 Description: GNU R interface to genome browsers and their annotation tracks
  Extensible framework for interacting with multiple genome browsers
  (currently UCSC built-in) and manipulating annotation tracks in various

## r-bioc-rtracklayer 1.66.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rtracklayer
 Title: R interface to genome annotation files and the UCSC genome
         browser
-Version: 1.64.0
+Version: 1.66.0
 Author: Michael Lawrence, Vince Carey, Robert Gentleman
 Depends: R (>= 3.5.0), methods, GenomicRanges (>= 1.37.2)
 Imports: XML (>= 1.98-0), BiocGenerics (>= 0.35.3), S4Vectors (>=
@@ -28,10 +28,10 @@
         test_rtracklayer_package.R ncbi.R igv.R zzz.R
 biocViews: Annotation,Visualization,DataImport
 git_url: https://git.bioconductor.org/packages/rtracklayer
-git_branch: RELEASE_3_19
-git_last_commit: ba889ee
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: d81035b
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 05:46:41 UTC; biocbuild
+Packaged: 2024-10-30 02:35:56 UTC; biocbuild

=== debian/changelog ===
r-bioc-rtracklayer (1.66.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 15:21:09 +0100

r-bioc-rtracklayer (1.66.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 11:27:10 +0100

=== debian/control ===
Source: r-bioc-rtracklayer
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-genomicranges,
               r-cran-xml,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-xvector,
               r-bioc-genomeinfodb,
               r-bioc-biostrings,
               r-bioc-zlibbioc,
               r-cran-curl,
               r-cran-httr,
               r-bioc-rsamtools,
               r-bioc-genomicalignments,
               r-bioc-biocio,
               r-cran-restfulr,
               architecture-is-64-bit,
               libcurl4-openssl-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rtracklayer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rtracklayer.git
Homepage: https://bioconductor.org/packages/rtracklayer/
Rules-Requires-Root: no

Package: r-bioc-rtracklayer
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to genome browsers and their annotation tracks
 Extensible framework for interacting with multiple genome browsers
 (currently UCSC built-in) and manipulating annotation tracks in various
 formats (currently GFF, BED, bedGraph, BED15, WIG, BigWig and 2bit
 built-in). The user may export/import tracks to/from the supported
 browsers, as well as query and modify the browser state, such as the
 current viewport.
